[Fontconfig] fontconfig: Branch 'master' - 7 commits
Keith Packard
keithp at kemper.freedesktop.org
Thu Jan 10 11:11:56 PST 2008
.gitignore | 7 ++
INSTALL | 36 ++++----------
README | 26 ++++++++--
conf.d/65-khmer.conf | 16 ++++++
conf.d/Makefile.am | 1
configure.in | 2
fontconfig/fontconfig.h | 2
new-version.sh | 118 ++++++++++++++++++++++++++++++++++++++++++++++++
src/Makefile.am | 2
9 files changed, 175 insertions(+), 35 deletions(-)
New commits:
commit 0dffe625d43c1165f8b84f97e8ba098793e2cf7b
Author: Keith Packard <keithp at keithp.com>
Date: Thu Jan 10 10:58:25 2008 -0800
Bump version to 2.5.91
diff --git a/README b/README
index 6724187..2bedf5a 100644
--- a/README
+++ b/README
@@ -1,12 +1,30 @@
- Fontconfig
- Font configuration and customization library
- Version 2.5
- 2007-11-13
+ Fontconfig
+ Font configuration and customization library
+ Version 2.5.91 (2.6 RC1)
+ 2008-01-10
Check INSTALL for compilation and installation instructions.
Report bugs to https://bugs.freedesktop.org in the fontconfig module.
+2.5.91 (2.6 RC1)
+
+Hongbo Zhao (1):
+ Not_contain should use strstr, not strcmp on strings. (bug 13632)
+
+Keith Packard (11):
+ Move conf.avail/README to conf.d/README (bug 13392)
+ Fix OOM failure case in FcPStackPush.
+ Remove freetype requirement for build-time applications.
+ Include fcftaliastail.h so that the freetype funcs are exported.
+ Eliminate references to freetype from utility Makefile.am's
+ Distribute new fcftint.h file
+ Create new-version.sh to help with releases, update INSTALL instructions
+ Distribute khmer font aliases
+ Add more files to .gitignore
+ new-version.sh was mis-editing files
+ git-tag requires space after -m flag
+
2.5
Keith Packard (4):
diff --git a/configure.in b/configure.in
index ffc0117..6b0b96f 100644
--- a/configure.in
+++ b/configure.in
@@ -33,7 +33,7 @@ dnl This is the package version number, not the shared library
dnl version. This same version number must appear in fontconfig/fontconfig.h
dnl Yes, it is a pain to synchronize version numbers. Unfortunately, it's
dnl not possible to extract the version number here from fontconfig.h
-AM_INIT_AUTOMAKE(fontconfig, 2.5.0)
+AM_INIT_AUTOMAKE(fontconfig, 2.5.91)
AM_MAINTAINER_MODE
dnl libtool versioning
diff --git a/fontconfig/fontconfig.h b/fontconfig/fontconfig.h
index 46b4305..36e4ccc 100644
--- a/fontconfig/fontconfig.h
+++ b/fontconfig/fontconfig.h
@@ -53,7 +53,7 @@ typedef int FcBool;
#define FC_MAJOR 2
#define FC_MINOR 5
-#define FC_REVISION 0
+#define FC_REVISION 91
#define FC_VERSION ((FC_MAJOR * 10000) + (FC_MINOR * 100) + (FC_REVISION))
commit b2cbf483ab520ff21ca2152f960498d181613608
Author: Keith Packard <keithp at keithp.com>
Date: Thu Jan 10 10:58:22 2008 -0800
git-tag requires space after -m flag
diff --git a/new-version.sh b/new-version.sh
index bbc855c..b6a156d 100644
--- a/new-version.sh
+++ b/new-version.sh
@@ -110,7 +110,7 @@ $test git-commit -m"Bump version to $version" \
README
# tag the tree
-$test git-tag -u 096c4dd3 -m"Version $version" $version
+$test git-tag -u 096c4dd3 -m "Version $version" $version
# Make distributed change log
commit 51f1536479064c2d224860c15271a9b14c87fd62
Author: Keith Packard <keithp at keithp.com>
Date: Thu Jan 10 10:56:52 2008 -0800
new-version.sh was mis-editing files
diff --git a/new-version.sh b/new-version.sh
index b3f15fa..bbc855c 100644
--- a/new-version.sh
+++ b/new-version.sh
@@ -1,9 +1,6 @@
#!/bin/sh
-test=echo
-if git-status > /dev/null; then
- :
-else
+if git-status -a > /dev/null; then
echo 'Uncommited changes in repository' 1>&2
exit 1
fi
@@ -24,12 +21,12 @@ eval `echo $version |
# Update the version numbers
-$test sed -i configure.in "/^AM_INIT_AUTOMAKE/s/2\.[0-9.]*/$version/"
+sed -i configure.in -e "/^AM_INIT_AUTOMAKE/s/2\.[0-9.]*/$version/"
-$test sed -i fontconfig/fontconfig.h \
- -e "/^#define FC_MAJOR/s/[0-9]*/$major/" \
- -e "/^#define FC_MINOR/s/[0-9]*/$minor/" \
- -e "/^#define FC_REVISION/s/[0-9]*/$revision/"
+sed -i fontconfig/fontconfig.h \
+ -e "/^#define FC_MAJOR/s/[0-9][0-9]*/$major/" \
+ -e "/^#define FC_MINOR/s/[0-9][0-9]*/$minor/" \
+ -e "/^#define FC_REVISION/s/[0-9][0-9]*/$revision/"
#
# Compute pretty form of new version number
@@ -104,7 +101,7 @@ if [ $version != $last ]; then
sed -n '/^2\.[0-9.]*$/,$p' README) > README.tmp ||
(echo "README update failed"; exit 1)
- $test mv README.tmp README
+ mv README.tmp README
fi
$test git-commit -m"Bump version to $version" \
@@ -117,5 +114,5 @@ $test git-tag -u 096c4dd3 -m"Version $version" $version
# Make distributed change log
-$test "git-log --stat $last.. > ChangeLog-$version"
+git-log --stat $last.. > ChangeLog-$version
commit 554dc2e7b7e3c1cb6409d0cd786cfbea480fcf69
Author: Keith Packard <keithp at keithp.com>
Date: Thu Jan 10 10:48:00 2008 -0800
Add more files to .gitignore
diff --git a/.gitignore b/.gitignore
index c1bd6ce..4a5cd58 100644
--- a/.gitignore
+++ b/.gitignore
@@ -1,5 +1,3 @@
-fcalias.h
-fcaliastail.h
tags
*.tar.gz
.libs
@@ -8,6 +6,7 @@ tags
*.lo
*.la
ChangeLog
+ChangeLog-*
Makefile
Makefile.in
aclocal.m4
@@ -79,3 +78,7 @@ fc-list/fc-list.1
fc-match/fc-match
fc-match/fc-match.1
src/fontconfig.def
+fcalias.h
+fcaliastail.h
+src/fcftalias.h
+src/fcftaliastail.h
commit 94d4f51d854f33b158e7eef2df75a5b21e95fb27
Author: Keith Packard <keithp at keithp.com>
Date: Thu Jan 10 10:43:33 2008 -0800
Distribute khmer font aliases
diff --git a/conf.d/65-khmer.conf b/conf.d/65-khmer.conf
new file mode 100644
index 0000000..f9d06f2
--- /dev/null
+++ b/conf.d/65-khmer.conf
@@ -0,0 +1,16 @@
+<?xml version="1.0"?>
+<!DOCTYPE fontconfig SYSTEM "fonts.dtd">
+<fontconfig>
+ <alias>
+ <family>serif</family>
+ <prefer>
+ <family>Khmer OS"</family>
+ </prefer>
+ </alias>
+ <alias>
+ <family>sans-serif</family>
+ <prefer>
+ <family>Khmer OS"</family>
+ </prefer>
+ </alias>
+</fontconfig>
diff --git a/conf.d/Makefile.am b/conf.d/Makefile.am
index 16d4b35..eeb3974 100644
--- a/conf.d/Makefile.am
+++ b/conf.d/Makefile.am
@@ -44,6 +44,7 @@ CONF_FILES = \
51-local.conf \
60-latin.conf \
65-fonts-persian.conf \
+ 65-khmer.conf \
65-nonlatin.conf \
69-unifont.conf \
70-no-bitmaps.conf \
commit fba7c37f98658e3ee94bb454868885b7f3a8ec5e
Author: Keith Packard <keithp at keithp.com>
Date: Thu Jan 10 10:40:41 2008 -0800
Create new-version.sh to help with releases, update INSTALL instructions
diff --git a/INSTALL b/INSTALL
index 4ea9080..0017eed 100644
--- a/INSTALL
+++ b/INSTALL
@@ -10,44 +10,28 @@ This should generate valid Makefiles, then:
If you're going to package fontconfig for release, there are several
important steps:
- 1. Update the version numbers
- configure.in
- fontconfig/fontconfig.h
-
- 2. Fix the README
- Change version number
- Set the date
- Append the short log
-
- git-log --pretty=short 2.4.xx.. | git-shortlog
+ 1. Create new version
+ sh new-version.sh 2.xx.xx
- 3. Commit those changes
-
- 4. rebuild the configuration files with autogen.sh
+ 2. rebuild the configuration files with autogen.sh
sh autogen.sh --sysconfdir=/etc --prefix=/usr --mandir=/usr/share/man --localstatedir=/var
- 5. make distcheck (NB: won't work without docbook-utils -PL)
+ 3. make distcheck (NB: won't work without docbook-utils -PL)
- 6. tag the tree
- git-tag -u 096c4dd3 -m 'Version 2.4.x' 2.4.x
-
- 7. make Changelog-2.4.x
- git-log --stat 2.4.(x-1).. > ChangeLog-2.4.x
-
- 8. Copy ChangeLog-2.4.x and fontconfig-2.4.x.tar.gz to
+ 4. Copy ChangeLog-2.x.y and fontconfig-2.x.y.tar.gz to
- freedesktop.org:/srv/fontconfig.freedesktop.org/www/release
+ freedesktop.org:/srv/fontconfig.freedesktop.org/www/release
- 9. Update the Fontconfig Devel wiki page
+ 5. Update the Fontconfig Devel wiki page
http://fontconfig.org/wiki/Devel
-10. Update the fontconfig documentation
+ 6. Update the fontconfig documentation
scp -rp doc/fontconfig-user.html doc/fontconfig-devel fontconfig.org:/srv/fontconfig.freedesktop.org/www
-11. Compute md5sums for release files:
+ 7. Compute md5sums for release files:
md5sum fontconfig-2.4.x.tar.gz ChangeLog-2.4.x
-12. Post a note to fontconfig at fontconfig.org. Include the md5sums.
+ 8. Post a note to fontconfig at fontconfig.org. Include the md5sums.
gpg sign the message.
diff --git a/new-version.sh b/new-version.sh
new file mode 100644
index 0000000..b3f15fa
--- /dev/null
+++ b/new-version.sh
@@ -0,0 +1,121 @@
+#!/bin/sh
+
+test=echo
+if git-status > /dev/null; then
+ :
+else
+ echo 'Uncommited changes in repository' 1>&2
+ exit 1
+fi
+
+version="$1"
+case "$version" in
+2.[0-9.]*)
+ ;;
+*)
+ echo 'Invalid version number:' "$version" 1>&2
+ exit 1
+ ;;
+esac
+
+eval `echo $version |
+ awk -F. '{ printf ("major=%d\nminor=%d\nrevision=%d\n",
+ $1, $2, $3); }'`
+
+# Update the version numbers
+
+$test sed -i configure.in "/^AM_INIT_AUTOMAKE/s/2\.[0-9.]*/$version/"
+
+$test sed -i fontconfig/fontconfig.h \
+ -e "/^#define FC_MAJOR/s/[0-9]*/$major/" \
+ -e "/^#define FC_MINOR/s/[0-9]*/$minor/" \
+ -e "/^#define FC_REVISION/s/[0-9]*/$revision/"
+
+#
+# Compute pretty form of new version number
+#
+version_note=`echo $version | awk -F. '{
+ if ($3 > 90)
+ printf ("%d.%d.%d (%d.%d RC%d)\n",
+ $1, $2, $3, $1, $2 + 1, $3 - 90);
+ else if ($3 == 0)
+ printf ("%d.%d\n", $1, $2);
+ else
+ printf ("%d.%d.%d\n", $1, $2, $3); }'`
+
+#
+# Find previous version in README
+#
+last_note=`grep '^2\.[0-9.]*' README |
+ head -1 |
+ sed 's/ (2\.[0-9]* RC[0-9]*)//'`
+case $last_note in
+2.*.*)
+ last=$last_note
+ ;;
+2.*)
+ last="$last_note.0"
+ ;;
+*)
+ echo 'cannot find previous changelog' 1>&2
+ exit 1
+esac
+
+#
+# Format the current date for the README header
+#
+date=`date '+%Y-%m-%d'`
+
+#
+# Update the readme file
+#
+if [ $version != $last ]; then
+ #
+ # header
+ #
+ (sed '/^2\.[0-9.]*$/,$d' README |
+ sed -e "s/Version.*/Version $version_note/" \
+ -e "s/200.*/$date/" | awk '
+ /^[ \t]/ {
+ gsub ("^[ \t]*", "");
+ gsub ("[ \t]*$", "");
+ space=(70 - length) / 2;
+ for (i = 0; i < space; i++)
+ printf (" ");
+ print
+ next
+ }
+ {
+ print
+ }'
+
+ #
+ # changelog
+ #
+
+ echo $version_note
+ echo
+ git-log --pretty=short $last.. | git-shortlog | cat
+
+ #
+ # previous changelogs
+ #
+
+ sed -n '/^2\.[0-9.]*$/,$p' README) > README.tmp ||
+ (echo "README update failed"; exit 1)
+
+ $test mv README.tmp README
+fi
+
+$test git-commit -m"Bump version to $version" \
+ configure.in \
+ fontconfig/fontconfig.h \
+ README
+
+# tag the tree
+$test git-tag -u 096c4dd3 -m"Version $version" $version
+
+# Make distributed change log
+
+$test "git-log --stat $last.. > ChangeLog-$version"
+
commit ad43ccaafa4f987b982afa2fff07ee8003c51a81
Author: Keith Packard <keithp at keithp.com>
Date: Thu Jan 10 08:58:57 2008 -0800
Distribute new fcftint.h file
diff --git a/src/Makefile.am b/src/Makefile.am
index a7d6b92..c2282af 100644
--- a/src/Makefile.am
+++ b/src/Makefile.am
@@ -79,7 +79,7 @@ INCLUDES = \
EXTRA_DIST = makealias
-noinst_HEADERS=fcint.h fcdeprecate.h
+noinst_HEADERS=fcint.h fcftint.h fcdeprecate.h
ALIAS_FILES = fcalias.h fcaliastail.h fcftalias.h fcftaliastail.h
More information about the Fontconfig
mailing list